Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.format.parser.bbcode
Class BBCodeParser

    java.lang.Object
      org.jboss.portal.format.parser.AbstractParser
          org.jboss.portal.format.parser.bbcode.BBCodeParser

All Implemented Interfaces:
  ParseEventNotifier

    public class BBCodeParser

extends AbstractParser

This nasty class parse BB code and create events.

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Nested Class Summary
`static class` | `BBCodeParser.CloseEvent`
`static class` | `BBCodeParser.OpenEvent`

Field Summary
`static java.lang.String` | `BUNDLE_KEY_CODE`
`static java.lang.String` | `BUNDLE_KEY_QUOTE`
`static java.lang.String` | `BUNDLE_KEY_WROTE`
`static int` | `EVENT_ALPHABETICALLY_ORDERED_LIST`
`static int` | `EVENT_BOLD`
`static int` | `EVENT_CODE`
`static int` | `EVENT_COLOR`
`static int` | `EVENT_ITALIC`
`static int` | `EVENT_ITEM`
`static int` | `EVENT_LINK`
`static int` | `EVENT_NORMAL`
`static int` | `EVENT_NUMERICALLY_ORDERED_LIST`
`static int` | `EVENT_QUOTE`
`static int` | `EVENT_SIZE`
`static int` | `EVENT_UNDERLINE`
`static int` | `EVENT_UNORDERED_LIST`
`static java.io.Reader` | `NULL_READER`

Fields inherited from class org.jboss.portal.format.parser.AbstractParser
`handler`

Constructor Summary
`BBCodeParser()`

Method Summary
`void` | `parse(char[] chars, int offset, int length)` Ask the parser to its job.

Methods inherited from class org.jboss.portal.format.parser.AbstractParser
`setHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EVENT_NORMAL

    public static final int EVENT_NORMAL

See Also:
  Constant Field Values

### EVENT_BOLD

    public static final int EVENT_BOLD

See Also:
  Constant Field Values

### EVENT_ITALIC

    public static final int EVENT_ITALIC

See Also:
  Constant Field Values

### EVENT_UNDERLINE

    public static final int EVENT_UNDERLINE

See Also:
  Constant Field Values

### EVENT_COLOR

    public static final int EVENT_COLOR

See Also:
  Constant Field Values

### EVENT_SIZE

    public static final int EVENT_SIZE

See Also:
  Constant Field Values

### EVENT_QUOTE

    public static final int EVENT_QUOTE

See Also:
  Constant Field Values

### EVENT_CODE

    public static final int EVENT_CODE

See Also:
  Constant Field Values

### EVENT_ITEM

    public static final int EVENT_ITEM

See Also:
  Constant Field Values

### EVENT_LINK

    public static final int EVENT_LINK

See Also:
  Constant Field Values

### EVENT_UNORDERED_LIST

    public static final int EVENT_UNORDERED_LIST

See Also:
  Constant Field Values

### EVENT_ALPHABETICALLY_ORDERED_LIST

    public static final int EVENT_ALPHABETICALLY_ORDERED_LIST

See Also:
  Constant Field Values

### EVENT_NUMERICALLY_ORDERED_LIST

    public static final int EVENT_NUMERICALLY_ORDERED_LIST

See Also:
  Constant Field Values

### BUNDLE_KEY_CODE

    public static final java.lang.String BUNDLE_KEY_CODE

See Also:
  Constant Field Values

### BUNDLE_KEY_QUOTE

    public static final java.lang.String BUNDLE_KEY_QUOTE

See Also:
  Constant Field Values

### BUNDLE_KEY_WROTE

    public static final java.lang.String BUNDLE_KEY_WROTE

See Also:
  Constant Field Values

### NULL_READER

    public static final java.io.Reader NULL_READER

Constructor Detail

### BBCodeParser

    public BBCodeParser()

Method Detail

### parse

    public void parse(char[] chars,
                      int offset,
                      int length)

  Description copied from class: `AbstractParser`
  Ask the parser to its job.

  Specified by:
    `parse` in class `AbstractParser`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD